--- title: "getCloudHadoopBucketList" slug: "analytics-cloudhadoop-getcloudhadoopbucketlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-getcloudhadoopbucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopBucketList Available in Classic Get the list of Object Storage buckets available to use in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/getCloudHadoopBucketList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Optional | Region number - `1`: Korea Region (default) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/getCloudHadoopBucketList ?regionNo=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopBucketListResponse` | Object | - | Response result | | `getCloudHadoopBucketListResponse.totalRows` | Integer | - | Number of response results | | `getCloudHadoopBucketListResponse.bucketList` | Array | - | [Object Storage bucket list](/docs/en/analytics-cloudhadoop-getcloudhadoopbucketlist#getCloudHadoopBucketListResponsebucketList) | | `getCloudHadoopBucketListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopBucketListResponse.returnCode` | String | - | Response code | | `getCloudHadoopBucketListResponse.returnMessage` | String | - | Response message | #### `getCloudHadoopBucketListResponse.bucketList` The following describes `getCloudHadoopBucketListResponse.bucketList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | - | Object Storage bucket name | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopBucketListResponse": { "totalRows": 2, "bucketList": [ { "bucketName": "nb001" }, { "bucketName": "nb002" } ], "requestId": "21b00176-****-****-****-29c1ad84f1d2", "returnCode": "0", "returnMessage": "success" } } ```